"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.twoDArray = exports.ranIntArrayInRange = exports.randomIntArray = exports.randomInt = void 0;
/* get a random integer between two numbers */
function randomInt(a, b) {
    if (a > b) {
        throw new Error(`${a} should be less than ${b}`);
    }
    let total = b - a + 1;
    return Math.floor(Math.random() * total + a);
}
exports.randomInt = randomInt;
/* get an array of distinct random interger between two numbers */
function randomIntArray(a, b) {
    if (a > b) {
        throw new Error(`${a} should be less than ${b}`);
    }
    let array = [];
    let totalNumber = b - a + 1;
    for (let i = 0; i < totalNumber; i++) {
        let randomNum = randomInt(a, b);
        while (array.includes(randomNum)) {
            randomNum = randomInt(a, b);
        }
        array.push(randomNum);
    }
    return array;
}
exports.randomIntArray = randomIntArray;
function ranIntArrayInRange(num, range) {
    if (num > (range.last - range.first)) {
        throw Error(`${num} should be less than the range of numbers`);
    }
    let array = [];
    for (let i = 0; i < num; i++) {
        let randomNum = randomInt(range.first, range.last);
        while (array.includes(randomNum)) {
            randomNum = randomInt(range.first, range.last);
        }
        array.push(randomNum);
    }
    return array;
}
exports.ranIntArrayInRange = ranIntArrayInRange;
/*------------------> Get a 2D array<------------------*/
function twoDArray(row, column) {
    let array = new Array(row);
    for (let j = 0; j < row; j++) {
        array[j] = new Array(column);
    }
    return array;
}
exports.twoDArray = twoDArray;
//# sourceMappingURL=app.js.map